# -*- coding: utf -*-

#définition d'une liste
l1 = [2,6,8,10,15,26]
print(l1)

#taille de la tuple
print(len(l1))

#accès indicé
a = l1[0]
print(a)

#modification
l1[2] = 3
print(l1)

#autre liste
L2 = [32,69,28,69]

#ajout
L2.append(21)
print(L2)

#insertion à l'indice 1
L2.insert(1,53)
print(L2)

#suppression elt n°3
del L2[3]
print(L2)

#accès + suppression elt n°1
a = L2.pop(1)
print(a)

#inversion
L2.reverse()
print(L2)

#étendre
L2.extend([34,55])
print(L2)

#list comprehensions
source = [1,5,8,12,7]
resultat = []
for v in source:
    resultat.append(v**2)
print(resultat)

#écriture concise
resultat = [v**2 for v in source]
print(resultat)

#action conditionnelle
source = [1,5,8,12,7]
resultat = []
for v in source:
    if (v % 2 == 0):
        resultat.append(v**2)
print(resultat)

#devient
resultat = [v**2 for v in source if (v % 2 == 0)]
print(resultat)

#recherche d'élement
trouve = 32 in L2
print(trouve)

#index
id = L2.index(34)
print(id)

#comptage
nb = L2.count(69)
print(nb)

#retrait par valeur
L2.remove(69)
print(L2)

#vider la liste
L2.clear()
print(L2)

#L3
L3 = [61,92,17]
print(L3)

#affectation ?
L4 = L3
print(L4)

#modification d'une valeur
L4[1] = 55

#répercussions
print(L4)

#mais aussi sur L3
print(L3)

#L3
L3 = [61,92,17]
print(L3)

#copie des valeurs
L4 = L3.copy()
print(L4)

L4[1] = 55
print(L4)
print(L3)

